Bug 61590 - New Port: textproc/p5-XML-Xerces-BagOfTricks, A library to make XML:Xerces easier and more perl-ish.
Summary: New Port: textproc/p5-XML-Xerces-BagOfTricks, A library to make XML:Xerces ea...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-19 20:50 UTC by Scott McWhirter
Modified: 2004-02-04 06:34 UTC (History)
0 users

See Also:


Attachments
p5-XML-Xerces-BagOfTricks.shar (2.93 KB, text/plain)
2004-01-19 20:50 UTC, Scott McWhirter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott McWhirter 2004-01-19 20:50:12 UTC
  New Port: textproc/p5-XML-Xerces-BagOfTricks 0.03
	  A library to make XML:Xerces easier and more perl-ish.

How-To-Repeat:   N/A
Comment 1 Erwin Lansing freebsd_committer 2004-01-30 19:50:26 UTC
State Changed
From-To: open->feedback

First of all, this module only works with perl 5.8.1 or higher. Could 
you add a condition to the Makefile for PERL_LEVEL > 500802 ? (See 
devel/p5-Test-Exception as an example). 

Second, I get this error on 4.x: 
lemur# make 
===>  Extracting for p5-XML-Xerces-BagOfTricks-0.03 

Comment 2 Ying-Chieh Liao freebsd_committer 2004-02-04 02:42:09 UTC
On Fri, Jan 30, 2004 at 11:52:42 -0800, Erwin Lansing wrote:
> Second, I get this error on 4.x:
> lemur# make
> ===>  Extracting for p5-XML-Xerces-BagOfTricks-0.03
> >> Checksum OK for XML-Xerces-BagOfTricks-0.03.tar.gz.
> ===>  Patching for p5-XML-Xerces-BagOfTricks-0.03
> ===>   p5-XML-Xerces-BagOfTricks-0.03 depends on file: /usr/local/lib/perl5/site_perl/5.8.2/mach/XML/Xerces.pm - found
> ===>  Configuring for p5-XML-Xerces-BagOfTricks-0.03
> Checking if your kit is complete...
> Looks good
> /usr/libexec/ld-elf.so.1: /usr/local/lib/libxerces-c.so.23: Undefined symbol "libiconv_open"
> *** Error code 1
> Can you investigate?

I've discussed with the submitter, and he said that it's ok when we build
xerces-c2 with native transcoder (default IconvFBSD)
and it does work in my test box

since we cannot check the build option of a built port, maybe we have to put
some messages in pre-everything:: clause of p5-XML-Xerces-BagOfTricks ?
-- 
Testing can show the presence of bugs, but not their absence.
					--- Edsger W. Dijkstra
Comment 3 Ying-Chieh Liao freebsd_committer 2004-02-04 06:34:26 UTC
State Changed
From-To: feedback->closed

committed, thanks